Subject: Re: bug#38164: quit-restore-window doesn't restore point in man

From: Juri Linkov <[email-masked]>
Date: Wed, 20 Nov 2019 01:03:01 +0200

>>>   > Because that's what quitting help does?  If you don't want this, just
>>>   > don't quit; you can simply leave the windows as they were and
>>>   > continue.
>>>
>>> IIUC Juri doesn't want to quit help.  He wants to leave the
>>> minibuffer, maybe for running another command.
>>
>> Apologies if I was confused, but Juri explicitly asked about "quitting
>> the minibuffer".
>
> Quitting help should never destroy a window layout these days.  If it
> did, we'd have a bug.  Quitting the minibuffer, for example via C-g,
> may destroy the window layout (of two frames even).  But I'll let Juri
> speak for himself now.

This is the case that I meant:

 emacs -Q

 M-x info               ;; don't type RET
 C-h f RET              ;; describe function 'info'
 C-x o C-x o            ;; switch to Help window
 <tab> <return>         ;; visit info.el from help link
 C-x o C-x o            ;; switch to minibuffer
 C-g                    ;; exit minibuffer